clang-tools 10.0.0

Classes | Namespaces | Typedefs | Functions
FindAllSymbolsMain.cpp File Reference
`#include "FindAllSymbolsAction.h"`
`#include "STLPostfixHeaderMap.h"`
`#include "SymbolInfo.h"`
`#include "SymbolReporter.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include "clang/Frontend/CompilerInstance.h"`
`#include "clang/Frontend/FrontendActions.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Tooling/CommonOptionsParser.h"`
`#include "clang/Tooling/Tooling.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/CommandLine.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/ThreadPool.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <map>`
`#include <mutex>`
`#include <set>`
`#include <string>`
`#include <system_error>`
`#include <vector>`
Include dependency graph for FindAllSymbolsMain.cpp:

Go to the source code of this file.

## Classes
class | clang::find_all_symbols::YamlReporter

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::find_all_symbols

## Typedefs
using | SymbolInfo = clang::find_all_symbols::SymbolInfo

## Functions
static cl::OptionCategory | FindAllSymbolsCategory ("find_all_symbols options")
static cl::extrahelp | CommonHelp (CommonOptionsParser::HelpMessage)
static cl::extrahelp | MoreHelp ("\ore help text...")
static cl::opt< std::string > | OutputDir ("output-dir", cl::desc(R"( The output directory for saving the results.)"), cl::init("."), cl::cat(FindAllSymbolsCategory))
static cl::opt< std::string > | MergeDir ("merge-dir", cl::desc(R"( The directory for merging symbols.)"), cl::init(""), cl::cat(FindAllSymbolsCategory))
bool | clang::find_all_symbols::Merge (llvm::StringRef MergeDir, llvm::StringRef OutputFile)
int | main (int argc, const char **argv)

## Typedef Documentation

## ◆ SymbolInfo

using SymbolInfo = clang::find_all_symbols::SymbolInfo

Definition at line 38 of file FindAllSymbolsMain.cpp.

## Function Documentation

## ◆ CommonHelp()

static cl::extrahelp CommonHelp | ( | CommonOptionsParser::HelpMessage |  | ) |
| static

## ◆ FindAllSymbolsCategory()

static cl::OptionCategory FindAllSymbolsCategory | ( | "find_all_symbols options" |  | ) |
| static

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 128 of file FindAllSymbolsMain.cpp.

References FindAllSymbolsCategory(), clang::find_all_symbols::getSTLPostfixHeaderMap(), clang::find_all_symbols::Merge(), and MergeDir().

## ◆ MergeDir()

static cl::opt<std::string> MergeDir | ( | "merge-dir" | ,
|  | cl::desc(R"(The directory for merging symbols.)") | ,
|  | cl::init("") | ,
|  | cl::cat(FindAllSymbolsCategory) |
| ) |  |
| static

Referenced by main().

## ◆ MoreHelp()

static cl::extrahelp MoreHelp | ( | "\e help text..." |  | ) |
| static

## ◆ OutputDir()

static cl::opt<std::string> OutputDir | ( | "output-dir" | ,
|  | cl::desc(R"(The output directory for saving the results.)") | ,
|  | cl::init(".") | ,
|  | cl::cat(FindAllSymbolsCategory) |
| ) |  |
| static

Referenced by clang::find_all_symbols::YamlReporter::reportSymbols().